A jazzy skin for the Django admin interface.

This documentation covers version 2.7.2 of Grappelli. Grappelli is a grid-based alternative/extension to the Django administration interface.


Grappelli 2.7.2 requires Django 1.8. More on Versions and Compatibility.


Use the Grappelli Google Group to ask questions or discuss features.

Versions and Compatibility

Grappelli is always developed against the latest stable Django release and is NOT tested with Djangos trunk.

  • Grappelli 2.7.1 (July 22nd, 2015): Compatible with Django 1.8
  • Grappelli 2.6.5 (May 28th, 2015): Compatible with Django 1.7
  • Grappelli 2.5.7 (March 27th, 2015): Compatible with Django 1.6

Current development branches:

  • Grappelli 2.7.2 (Development version for Django 1.8, see branch Stable/2.7.x)
  • Grappelli 2.6.6 (Development version for Django 1.7, see branch Stable/2.6.x)
  • Grappelli 2.5.8 (Development version for Django 1.6, see branch Stable/2.5.x)

Older versions are available at GitHub, but are not supported anymore. Support for 2.5.x and 2.6.x is limited to security issues and very important bugfixes.